ApiExternalAccount (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiExternalAccount

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiExternalAccount

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiExternalAccount
      extends Object

  Represents an instantiation of an external account type, referencing a supported external account type, via the typeName field, along with suitable configuration to access an external resource of the provided type. The typeName field must match the name of an external account type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiExternalAccount()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiExternalAccount` | `accountConfigs(ApiConfigList accountConfigs)`
    `ApiExternalAccount` | `createdTime(String createdTime)`
    `ApiExternalAccount` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `ApiConfigList` | `getAccountConfigs()` Represents the account configuration for this account.
    `String` | `getCreatedTime()` Represents the time of creation for this account.
    `String` | `getDisplayName()` Represents a modifiable label to identify this account for user-visible purposes.
    `String` | `getLastModifiedTime()` Represents the last modification time for this account.
    `String` | `getName()` Represents the intial name of the account; used to uniquely identify this account.
    `String` | `getTypeName()` Represents the Type ID of a supported external account type.
    `int` | `hashCode()`
    `ApiExternalAccount` | `lastModifiedTime(String lastModifiedTime)`
    `ApiExternalAccount` | `name(String name)`
    `void` | `setAccountConfigs(ApiConfigList accountConfigs)`
    `void` | `setCreatedTime(String createdTime)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setLastModifiedTime(String lastModifiedTime)`
    `void` | `setName(String name)`
    `void` | `setTypeName(String typeName)`
    `String` | `toString()`
    `ApiExternalAccount` | `typeName(String typeName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiExternalAccount

          public ApiExternalAccount()

  - ### Method Detail

    - #### name

          public ApiExternalAccount name(String name)

    - #### getName

          public String getName()

      Represents the intial name of the account; used to uniquely identify this account.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### displayName

          public ApiExternalAccount displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Represents a modifiable label to identify this account for user-visible purposes.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### createdTime

          public ApiExternalAccount createdTime(String createdTime)

    - #### getCreatedTime

          public String getCreatedTime()

      Represents the time of creation for this account.
      Returns:
        createdTime

    - #### setCreatedTime

          public void setCreatedTime(String createdTime)

    - #### lastModifiedTime

          public ApiExternalAccount lastModifiedTime(String lastModifiedTime)

    - #### getLastModifiedTime

          public String getLastModifiedTime()

      Represents the last modification time for this account.
      Returns:
        lastModifiedTime

    - #### setLastModifiedTime

          public void setLastModifiedTime(String lastModifiedTime)

    - #### typeName

          public ApiExternalAccount typeName(String typeName)

    - #### getTypeName

          public String getTypeName()

      Represents the Type ID of a supported external account type. The type represented by this field dictates which configuration options must be defined for this account.
      Returns:
        typeName

    - #### setTypeName

          public void setTypeName(String typeName)

    - #### accountConfigs

          public ApiExternalAccount accountConfigs(ApiConfigList accountConfigs)

    - #### getAccountConfigs

          public ApiConfigList getAccountConfigs()

      Represents the account configuration for this account. When an account is retrieved from the server, the configs returned must match allowed configuration for the type of this account. When specified for creation of a new account or for the update of an existing account, this field must include every required configuration parameter specified in the type's definition, with the account configuration's value field specified to represent the specific configuration desired for this account.
      Returns:
        accountConfigs

    - #### setAccountConfigs

          public void setAccountConfigs(ApiConfigList accountConfigs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.